import matplotlib.pyplot as plt
import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
import seaborn as sns


plt.rcParams['axes.xmargin'] = 0
plt.rc('xtick', labelsize=20) 
plt.rc('ytick', labelsize=20) 
raw_data = pd.read_csv('D:/Documents/White_Paper/B1.1_Energy_Transitions/data for Hadjimichael.csv')

fractions=pd.read_csv('D:/Documents/White_Paper/B1.1_Energy_Transitions/fractions.csv')

fig, (ax1, ax2) = plt.subplots(2, 1)

colors = ["#1E4F61","#808080","#60B1CE","#C67A11","#C26D77","#EEA640","#824D6C"]
labels=["Biomass", "Wind", "Coal", "Petroleum", "Natural Gas", "Electricity","Electrical Waste"]
ax1.stackplot(raw_data.Year, raw_data.Biomass, raw_data.Wind, raw_data.Coal, raw_data.Petroleum, raw_data.Natural_gas, raw_data.Electricity, raw_data.Electrical_waste, labels=labels, colors=colors)

ax1.set_ylabel('Watts/Capita',fontsize=20)

for a in range(7):
    ax2.plot(raw_data.Year, fractions.iloc[:,a+1],color=colors[a],linewidth=4)

ax2.set_ylabel('Fraction of Watts/Capita Produced',fontsize=20)
ax2.set_xlabel('Year',fontsize=20)

plt.show()